add a cancellation policy
curl --request POST \
--url https://b.anny.co/api/v1/cancellation-policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "cancellation-policies",
"attributes": {
"conditions": [
{
"id": "YhqkLbnP0d",
"period": 30,
"relative_fee": "25"
}
],
"default_fee": 50
},
"relationships": {},
"meta": {}
}
}
'import requests
url = "https://b.anny.co/api/v1/cancellation-policies"
payload = { "data": {
"type": "cancellation-policies",
"attributes": {
"conditions": [
{
"id": "YhqkLbnP0d",
"period": 30,
"relative_fee": "25"
}
],
"default_fee": 50
},
"relationships": {},
"meta": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'cancellation-policies',
attributes: {
conditions: [{id: 'YhqkLbnP0d', period: 30, relative_fee: '25'}],
default_fee: 50
},
relationships: {},
meta: {}
}
})
};
fetch('https://b.anny.co/api/v1/cancellation-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "cancellation-policies",
"id": "658",
"attributes": {
"conditions": [
{
"id": "YhqkLbnP0d",
"period": 30,
"relative_fee": "25"
}
],
"default_fee": 50,
"created_at": "2021-11-26T15:25:22+00:00"
},
"links": {
"self": "https://b.anny.co/api/v1/cancellation-policies/658"
}
}
}Content & Documents
add a cancellation policy
POST
/
api
/
v1
/
cancellation-policies
add a cancellation policy
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
201 - application/vnd.api+json
Created
A cancellation policy defining refund rules based on cancellation timing.
Show child attributes
Show child attributes
⌘I